Skip to main content
POST
Copy a file

Authorizations

X-Public-Key
string
header
required

Public half of the company API key. Format: pk_ followed by 64 hexadecimal characters.

X-Secret-Key
string
header
required

Secret half of the company API key. Format: sk_ followed by 64 hexadecimal characters. Stored as a hash server-side and shown only at creation or rotation.

Path Parameters

fileId
string<uuid>
required

File identifier.

Body

application/json
destinationFolderId
string<uuid> | null

Target folder. null means the target bucket root.

destinationBucketId
string<uuid>

Target bucket within the same company.

Response

Copy result.

status
integer
required
Example:

200

message
string
required
Example:

"File copied"

data
object
required